Subject: Re: bug#44858: [PATCH] Make byte-compiler warn about wide docstrings

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Dec 2020 19:14:20 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 19 Dec 2020 10:50:33 -0600
> Cc: [email-masked], [email-masked]
> 
> AFAICT, the offending lines are the ones containing URLs:
> 
> line 2839:
> 
> `https://sourceforge.net/tracker/index.php?func=detail&aid=1916032&group_id=13357&atid=113357').
> 
> line 2683:
> 
> `https://sourceforge.net/tracker/index.php?func=detail&aid=1916032&group_id=13357&atid=113357').
> 
> I see two issues here:
> 
> a) The URL does not easily break over two lines.  I'm not sure what we
>    should do.  Add a special case to ignore lines with URLs?

If you can detect and ignore long lines that consist entirely of URL,
yes, that would be good.  Otherwise, simply ignore these warnings.

> >> progmodes/cc-engine.el:183:1: Warning: defvar `c-vsemi-status-unknown-p-fn'
> >>     docstring wider than 80 characters
> >
> > I don't see how I can do anything about this one.
> 
> I'm also stomped.  Perhaps we could ask Alan for help with this one.

If he can, sure.